#### D.2.13.14 getState

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  getState(t), t task

Return:
  a string, the state of t.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t = "std", list(I);
    getState(t);
    ==> created
    startTasks(t);
    getState(t);
    ==> started
    waitAllTasks(t);
    getState(t);
    ==> completed
    killTask(t);
    getState(t);
    ==> uninitialized

See also: createTask; getArguments; getCommand; getResult; killTask; pollTask; printTask; startTasks; stopTask; waitTasks.

User manual for Singular version 4.4.1, 2025, generated by texi2html.